######################################################################
# Build Tools

.gradle
/build/
!gradle/wrapper/gradle-wrapper.jar

target/
xueyi-ui/
!.mvn/wrapper/maven-wrapper.jar

######################################################################
# IDE

### STS ###
.apt_generated
.classpath
.factorypath
.project
.settings
.springBeans

### IntelliJ IDEA ###
.idea/
.vscode/
*.iws
*.iml
*.ipr

### JRebel ###
rebel.xml
### NetBeans ###
nbproject/private/
build/*
nbbuild/
dist/
nbdist/
.nb-gradle/

######################################################################
# Others
*.log
*.xml.versionsBackup
*.swp
.DS_Store

!*/build/*.java
!*/build/*.html
!*/build/*.xml
xueyi-api/xueyi-api-file/target/
xueyi-api/xueyi-api-job/target/
xueyi-api/xueyi-api-system/target/
xueyi-api/xueyi-api-tenant/target/
xueyi-auth/target/
xueyi-common/xueyi-common-cache/target/
xueyi-common/xueyi-common-core/target/
xueyi-common/xueyi-common-datascope/target/
xueyi-common/xueyi-common-datasource/target/
xueyi-common/xueyi-common-log/target/
xueyi-common/xueyi-common-redis/target/
xueyi-common/xueyi-common-seata/target/
xueyi-common/xueyi-common-security/target/
xueyi-common/xueyi-common-swagger/target/
xueyi-common/xueyi-common-web/target/
xueyi-gateway/target/
xueyi-modules/xueyi-file/target/
xueyi-modules/xueyi-gen/target/
xueyi-modules/xueyi-job/target/
xueyi-modules/xueyi-system/target/
xueyi-modules/xueyi-tenant/target/
xueyi-visual/xueyi-monitor/target/
docker/mysql/data/
docker/nacos/logs/
logs/

**/target */

**/.lck*/
digtalman-*